// Copyright (C) 2009, TradingStudies.com
// TradingStudies.com reserves the right to modify or overwrite this NinjaScript component with each release.
// Version  1.0 	2009-01-15
#region Using declarations
using System;
using System.ComponentModel;
using System.Drawing;
using TradingStudies.NinjaScript;
#endregion

// This namespace holds all indicators and is required. Do not change it.
namespace TradingStudies.NinjaScript.Utility
{
    public enum SqueezeStyle
    {
        BBSqueeze,
        PBFSqueeze,
        CounterTrend
    }
    public enum SuperTrendMode
    {
        ATR,
        DualThrust,
	  Adaptive,
	  FixedPercent		

    }
    public enum VolumeBreakDownType
    {
        Delta,
        Ratio
    }
    public enum VolumeBreakDownCalculationType
    {
        Volume,
        Ticks
    }
    public enum VolumeBreakDownPlotStyle
    {
		GrabFromChart,
        CandleStick,
        OHLC,
        HiLoBars,
		HLC,
		LineOnClose,
		Histogram
    }
    public enum MovingAverageType
    {
		SMA, SMMA, TMA, WMA, VWMA, TEMA, HMA, EMA, VMA, ADXVMA, EHLERSFILTER, T3, ZeroLagEMA, ZeroLagTEMA, JMA
    }
}